// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.


using System;
using Silk.NET.Core.Attributes;

#pragma warning disable 1591

namespace Silk.NET.OpenXR
{
    [NativeName("Name", "XrLipExpressionHTC")]
    public enum LipExpressionHTC : int
    {
        [NativeName("Name", "XR_LIP_EXPRESSION_JAW_RIGHT_HTC")]
        LipExpressionJawRightHtc = 0,
        [NativeName("Name", "XR_LIP_EXPRESSION_JAW_LEFT_HTC")]
        LipExpressionJawLeftHtc = 1,
        [NativeName("Name", "XR_LIP_EXPRESSION_JAW_FORWARD_HTC")]
        LipExpressionJawForwardHtc = 2,
        [NativeName("Name", "XR_LIP_EXPRESSION_JAW_OPEN_HTC")]
        LipExpressionJawOpenHtc = 3,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_APE_SHAPE_HTC")]
        LipExpressionMouthApeShapeHtc = 4,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_UPPER_RIGHT_HTC")]
        LipExpressionMouthUpperRightHtc = 5,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_UPPER_LEFT_HTC")]
        LipExpressionMouthUpperLeftHtc = 6,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_RIGHT_HTC")]
        LipExpressionMouthLowerRightHtc = 7,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_LEFT_HTC")]
        LipExpressionMouthLowerLeftHtc = 8,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_UPPER_OVERTURN_HTC")]
        LipExpressionMouthUpperOverturnHtc = 9,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_OVERTURN_HTC")]
        LipExpressionMouthLowerOverturnHtc = 10,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_POUT_HTC")]
        LipExpressionMouthPoutHtc = 11,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_SMILE_RIGHT_HTC")]
        LipExpressionMouthSmileRightHtc = 12,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_SMILE_LEFT_HTC")]
        LipExpressionMouthSmileLeftHtc = 13,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_SAD_RIGHT_HTC")]
        LipExpressionMouthSadRightHtc = 14,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_SAD_LEFT_HTC")]
        LipExpressionMouthSadLeftHtc = 15,
        [NativeName("Name", "XR_LIP_EXPRESSION_CHEEK_PUFF_RIGHT_HTC")]
        LipExpressionCheekPuffRightHtc = 16,
        [NativeName("Name", "XR_LIP_EXPRESSION_CHEEK_PUFF_LEFT_HTC")]
        LipExpressionCheekPuffLeftHtc = 17,
        [NativeName("Name", "XR_LIP_EXPRESSION_CHEEK_SUCK_HTC")]
        LipExpressionCheekSuckHtc = 18,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_UPPER_UPRIGHT_HTC")]
        LipExpressionMouthUpperUprightHtc = 19,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_UPPER_UPLEFT_HTC")]
        LipExpressionMouthUpperUpleftHtc = 20,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_DOWNRIGHT_HTC")]
        LipExpressionMouthLowerDownrightHtc = 21,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_DOWNLEFT_HTC")]
        LipExpressionMouthLowerDownleftHtc = 22,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_UPPER_INSIDE_HTC")]
        LipExpressionMouthUpperInsideHtc = 23,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_INSIDE_HTC")]
        LipExpressionMouthLowerInsideHtc = 24,
        [NativeName("Name", "XR_LIP_EXPRESSION_MOUTH_LOWER_OVERLAY_HTC")]
        LipExpressionMouthLowerOverlayHtc = 25,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_LONGSTEP1_HTC")]
        LipExpressionTongueLongstep1Htc = 26,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_LEFT_HTC")]
        LipExpressionTongueLeftHtc = 27,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_RIGHT_HTC")]
        LipExpressionTongueRightHtc = 28,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_UP_HTC")]
        LipExpressionTongueUpHtc = 29,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_DOWN_HTC")]
        LipExpressionTongueDownHtc = 30,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_ROLL_HTC")]
        LipExpressionTongueRollHtc = 31,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_LONGSTEP2_HTC")]
        LipExpressionTongueLongstep2Htc = 32,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_UPRIGHT_MORPH_HTC")]
        LipExpressionTongueUprightMorphHtc = 33,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_UPLEFT_MORPH_HTC")]
        LipExpressionTongueUpleftMorphHtc = 34,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_DOWNRIGHT_MORPH_HTC")]
        LipExpressionTongueDownrightMorphHtc = 35,
        [NativeName("Name", "XR_LIP_EXPRESSION_TONGUE_DOWNLEFT_MORPH_HTC")]
        LipExpressionTongueDownleftMorphHtc = 36,
    }
}
