// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
using System;
using System.Runtime.InteropServices;
using System.Runtime.CompilerServices;
using System.Text;
using Silk.NET.Core;
using Silk.NET.Core.Native;
using Silk.NET.Core.Attributes;
using Silk.NET.Core.Contexts;
using Silk.NET.Core.Loader;

#pragma warning disable 1591

namespace Silk.NET.Vulkan.Extensions.KHR
{
    public static class KhrVideoDecodeQueueOverloads
    {
        /// <summary>To be documented.</summary>
        public static unsafe void CmdDecodeVideo(this KhrVideoDecodeQueue thisApi, [Count(Count = 0)] CommandBuffer commandBuffer, [Count(Count = 0), Flow(FlowDirection.In)] ReadOnlySpan<VideoDecodeInfoKHR> pFrameInfo)
        {
            // SpanOverloader
            thisApi.CmdDecodeVideo(commandBuffer, in pFrameInfo.GetPinnableReference());
        }

    }
}

